from django.conf.urls import url
from . import views

app_name = 'keycloak_oidc'
urlpatterns = [
    url(r'^$', views.login, name='login-base'),
    url(r'^login/$', views.login, name='login'),
    url(r'^login/(?P<idp_hint>[a-z]+)/$', views.login, name='login_idp'),
    url(r'^done/$', views.callback, name='login-done'),
    url(r'^logout/$', views.logout, name='logout', kwargs={'ssoLogout':True}),
    url(r'^logoutLocal/$', views.logout, name='logout'),
    url(r'^account/$', views.account, name='account'),
    url(r'^refresh_session/$', views.refresh_session, name='refresh-session'),
]
